import * as z from 'zod';
// prettier-ignore
export const CronJobLogInputSchema = z.object({
    id: z.number().int(),
    jobName: z.string(),
    status: z.string(),
    startedAt: z.date(),
    completedAt: z.date().optional().nullable(),
    durationMs: z.number().int().optional().nullable(),
    errorMessage: z.string().optional().nullable()
}).strict();

export type CronJobLogInputType = z.infer<typeof CronJobLogInputSchema>;
